$(document).on('change', '.complex_relation_section input:visible, .complex_relation_section select:visible', function() {
  var is_required = false;

  var $field_wrapper = $(this).closest('.complex_relation_section');
  var $child_elements = $field_wrapper.find('input:visible, select:visible');

  $child_elements.each(function(index, child){ 
    if ($(child).val().length > 0){
      is_required = true
    }
  });

  is_required ? $child_elements.prop('required', true) : $child_elements.prop('required', false) 
});


$(document).on('keyup', '.folder-name', function() {
  folder_name = $(this).val();
  path = $(this).data('validation-path');
  parent_id = $(this).data('parent-id');
  current_object_id = $(this).data('current-object-id');

  if (folder_name.length >= 3){
    $.ajax({
      url : path,
      type : 'GET',
      data : {
          parent_id: parent_id,
          current_object_id: current_object_id,
          folder_name: folder_name
      },
      dataType:'json',
      success : function(response) {              
        if(response.data_exist){
          $('.folder_name_error').show().html(response.error_massage).css('color', '#ff3333');
        }else{
          $('.folder_name_error').hide();
        }
      },
      error : function(request,error)
      {
        alert("Request: "+JSON.stringify(request));
      }
    });
  }
});

$(document).on('change', '#complex_modality_modality', function() {
  $('#complex_modality_modality_title').val($(this).val());
});