class FileSetFastLoadMetadata < ActiveRecord::Base
  scope :sort_and_filter_by_title_and_source, ->(work_source_identifier) {
    where(work_source_identifier: work_source_identifier)
    .sort_by { |item| item.file_set_title.downcase.gsub(/[^a-zA-Z0-9]/, '0').split(/(\d+)/).map { |s| s.match(/\d+/) ? s.to_i : s } }
  }
end